# azure.mgmt.batch.operations module

class `azure.mgmt.batch.operations.``AccountOperations`(client, config, serializer, deserializer)

  Bases: `object`

  AccountOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `create`(resource_group_name, account_name, parameters, custom_headers=None, raw=False, **operation_config)

    Creates a new Batch account with the specified parameters. Existing accounts cannot be updated with this API and should instead be updated with the Update Batch Account API.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the new Batch account.
    - account_name (str) – A name for the Batch account which must be unique within the region. Batch account names must be between 3 and 24 characters in length and must use only numbers and lowercase letters. This name is used as part of the DNS name that is used to access the Batch service in the region in which the account is created. For example: http://accountname.region.batch.azure.com/.
    - parameters (`BatchAccountCreateParameters`) – Additional parameters for account creation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `AccountResource`
    Return type: | `ClientRawResponse` if raw=true

  `delete`(resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    Deletes the specified Batch account.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the Batch account to be deleted.
    - account_name (str) – The name of the account to be deleted.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns None
    Return type: | `ClientRawResponse` if raw=true

  `get`(resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    Gets information about the specified Batch account.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the Batch account.
    - account_name (str) – The name of the account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `AccountResource`
    Return type: | `ClientRawResponse` if raw=true

  `list`(custom_headers=None, raw=False, **operation_config)

    Gets information about the Batch accounts associated with the subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `AccountResourcePaged`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets information about the Batch accounts associated within the specified resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group whose Batch accounts to list.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `AccountResourcePaged`

  `list_keys`(resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    Lists the account keys for the specified Batch account.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the Batch account.
    - account_name (str) – The name of the account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `BatchAccountListKeyResult`
    Return type: | `ClientRawResponse` if raw=true

  `regenerate_key`(resource_group_name, account_name, key_name, custom_headers=None, raw=False, **operation_config)

    Regenerates the specified account key for the specified Batch account.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the Batch account.
    - account_name (str) – The name of the account.
    - key_name (str or `AccountKeyType`) – The type of account key to regenerate. Possible values include: ‘Primary’, ‘Secondary’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `BatchAccountRegenerateKeyResult`
    Return type: | `ClientRawResponse` if raw=true

  `synchronize_auto_storage_keys`(resource_group_name, account_name, custom_headers=None, raw=False, **operation_config)

    Synchronizes access keys for the auto storage account configured for the specified Batch account.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the Batch account.
    - account_name (str) – The name of the Batch account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

  `update`(resource_group_name, account_name, tags=None, auto_storage=None, custom_headers=None, raw=False, **operation_config)

    Updates the properties of an existing Batch account.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the Batch account.
    - account_name (str) – The name of the account.
    - tags (dict) – The user specified tags associated with the account.
    - auto_storage (`AutoStorageBaseProperties`) – The properties related to auto storage account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `AccountResource`
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.batch.operations.``ApplicationOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ApplicationOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `activate_application_package`(resource_group_name, account_name, id, version, format, custom_headers=None, raw=False, **operation_config)

    Activates the specified application package.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the Batch account.
    - account_name (str) – The name of the Batch account.
    - id (str) – The id of the application.
    - version (str) – The version of the application to activate.
    - format (str) – The format of the application package binary file.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

  `add_application`(resource_group_name, account_name, application_id, allow_updates=None, display_name=None, custom_headers=None, raw=False, **operation_config)

    Adds an application to the specified Batch account.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the Batch account.
    - account_name (str) – The name of the Batch account.
    - application_id (str) – The id of the application.
    - allow_updates (bool) – A value indicating whether packages within the application may be overwritten using the same version string.
    - display_name (str) – The display name for the application.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Application`
    Return type: | `ClientRawResponse` if raw=true

  `add_application_package`(resource_group_name, account_name, application_id, version, custom_headers=None, raw=False, **operation_config)

    Creates an application package record.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the Batch account.
    - account_name (str) – The name of the Batch account.
    - application_id (str) – The id of the application.
    - version (str) – The version of the application.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `AddApplicationPackageResult`
    Return type: | `ClientRawResponse` if raw=true

  `delete_application`(resource_group_name, account_name, application_id, custom_headers=None, raw=False, **operation_config)

    Deletes an application.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the Batch account.
    - account_name (str) – The name of the Batch account.
    - application_id (str) – The id of the application.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

  `delete_application_package`(resource_group_name, account_name, application_id, version, custom_headers=None, raw=False, **operation_config)

    Deletes an application package record and its associated binary file.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the Batch account.
    - account_name (str) – The name of the Batch account.
    - application_id (str) – The id of the application.
    - version (str) – The version of the application to delete.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

  `get_application`(resource_group_name, account_name, application_id, custom_headers=None, raw=False, **operation_config)

    Gets information about the specified application.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the Batch account.
    - account_name (str) – The name of the Batch account.
    - application_id (str) – The id of the application.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Application`
    Return type: | `ClientRawResponse` if raw=true

  `get_application_package`(resource_group_name, account_name, application_id, version, custom_headers=None, raw=False, **operation_config)

    Gets information about the specified application package.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the Batch account.
    - account_name (str) – The name of the Batch account.
    - application_id (str) – The id of the application.
    - version (str) – The version of the application.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `GetApplicationPackageResult`
    Return type: | `ClientRawResponse` if raw=true

  `list`(resource_group_name, account_name, maxresults=None, custom_headers=None, raw=False, **operation_config)

    Lists all of the applications in the specified account.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the Batch account.
    - account_name (str) – The name of the Batch account.
    - maxresults (int) – The maximum number of items to return in the response.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ApplicationPaged`

  `update_application`(resource_group_name, account_name, application_id, parameters, custom_headers=None, raw=False, **operation_config)

    Updates settings for the specified application.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the Batch account.
    - account_name (str) – The name of the Batch account.
    - application_id (str) – The id of the application.
    - parameters (`UpdateApplicationParameters`) – The parameters for the request.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.batch.operations.``SubscriptionOperations`(client, config, serializer, deserializer)

  Bases: `object`

  SubscriptionOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `get_subscription_quotas`(location_name, custom_headers=None, raw=False, **operation_config)

    Gets the Batch service quotas for the specified suscription.

    Parameters:

    - location_name (str) – The desired region for the quotas.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SubscriptionQuotasGetResult`
    Return type: | `ClientRawResponse` if raw=true